Difference between revisions of "Projects/extragearReleases"

Jump to: navigation, search
(Tarball comments)
 
(6 intermediate revisions by 4 users not shown)
Line 4: Line 4:
  
 
==Applications==
 
==Applications==
To indicate that you want your application released together with the KDE release schedule, please list your application here:
+
To indicate that you want your application released together with the KDE release schedule, you need to edit a config file in subversion.
*graphics/kcoloredit
+
 
*graphics/kfax
+
[http://websvn.kde.org/trunk/playground/utils/createtarball/config.ini?view=markup trunk/playground/utils/createtarball/config.ini]
*graphics/kiconedit
+
 
*graphics/kgraphviewer
+
In this file you can indicate "kde_release = yes" if you want to be included in the next release of KDE. You can remove or add it at any time you wish.
*graphics/kphotoalbum
+
 
*graphics/kpovmodeler
+
You can also add a "version = x.y.z-beta4" setting. This will be used in the tarball's name. If you leave it empty, it will use the version name of the kde release it is part of.
*graphics/ligature
+
*network/ktorrent
+
*network/kmldonkey
+
*network/kopete-cryptography (depends on kdenetwork and kdepim)
+
*sdk/kaider
+
*utils/rsibreak
+
  
 
==Tarball comments==
 
==Tarball comments==
 
If you are a packager and have some comments about a particular pakackage, you can indicate the problem below. Be sure to mention your email or irc nick so we can contact you. To be clear: don't add application bugs here, only packaging bugs:
 
If you are a packager and have some comments about a particular pakackage, you can indicate the problem below. Be sure to mention your email or irc nick so we can contact you. To be clear: don't add application bugs here, only packaging bugs:
*plasma tarball contains no LICENSE file. trigger/oftc
+
*ktorrents cmake does not errors on a missing libgmp3-devel and needs QCA2
*ktorrents cmake does not errors on a missing libgmp3-devel
+
*kpovmodeler compilation could fail because of this freetype  [https://launchpad.net/bugs/181913 bug]
*kpovmodeler does not compile, some missing dependency i think.
+
*no translated docs. anyone know an app that has docbook and that's translated?
 +
*ligature requires bliz and has no COPYING file

Latest revision as of 20:01, 26 January 2008

The aim of this page is to list all things related to release extragear packages on a regular bases. If you are an application maintainer in extragear and want tarballs at every kde release, add the application in the list below.

You are responsible for updating changelogs, news files and version numbers.

[edit] Applications

To indicate that you want your application released together with the KDE release schedule, you need to edit a config file in subversion.

trunk/playground/utils/createtarball/config.ini

In this file you can indicate "kde_release = yes" if you want to be included in the next release of KDE. You can remove or add it at any time you wish.

You can also add a "version = x.y.z-beta4" setting. This will be used in the tarball's name. If you leave it empty, it will use the version name of the kde release it is part of.

[edit] Tarball comments

If you are a packager and have some comments about a particular pakackage, you can indicate the problem below. Be sure to mention your email or irc nick so we can contact you. To be clear: don't add application bugs here, only packaging bugs:

  • ktorrents cmake does not errors on a missing libgmp3-devel and needs QCA2
  • kpovmodeler compilation could fail because of this freetype bug
  • no translated docs. anyone know an app that has docbook and that's translated?
  • ligature requires bliz and has no COPYING file

This page was last modified on 26 January 2008, at 20:01. This page has been accessed 10,579 times. Content is available under Creative Commons License SA 3.0 as well as the GNU Free Documentation License 1.2.
KDE® and the K Desktop Environment® logo are registered trademarks of KDE e.V.Legal